class Origami::MovetableController < BaseOrigamiController
  
  authorize_resource :class => false

  def move_dining
    @tables = Table.all.active.order('status desc')
    @rooms = Room.all.active.order('status desc')
    @complete = Sale.all
    @orders = Order.all.order('date desc')
    @dining = DiningFacility.find(params[:dining_id])

    @status_order = ""
    @status_sale = ""
    @sale_array = Array.new
    @dining.bookings.each do |booking|
         if booking.sale_id.nil?
            @order_items = Array.new
           booking.booking_orders.each do |booking_order|

              order = Order.find(booking_order.order_id)
              @obj_order = order
              @date = order.created_at
              order.order_items.each do |item|
                @order_items.push(item)
              end
           end
           @status_order = 'order'
         else
          sale = Sale.find(booking.sale_id)
           if sale.sale_status != "completed"
             @sale_array.push(sale)
             if @status_order == 'order'
               @status_order = 'sale'
             end
             @date = sale.created_at
             @status_sale = 'sale'
             @obj_sale = sale
           end
         end
    end
  end

   def moving
     change_to = params[:change_to] #new
     change_from = params[:change_from] #original
     bookings = Booking.where('dining_facility_id=?',change_from)
     booking_array = Array.new
     bookings.each do | booking |
       if booking.sale_id.nil? || booking.sale.sale_status != 'completed' || booking.booking_status != 'moved'
         booking_array.push(booking)
       end
     end
     @get_type = Booking.update_dining_facility(booking_array,change_to,change_from)
   end
end
